From d5e8f2b99f77939099b14c8893e02e4daa3b0cbe Mon Sep 17 00:00:00 2001
From: kobarity <kobarity@gmail.com>
Date: Sat, 24 Aug 2024 20:13:16 +0900
Subject: [PATCH] Make Python skeletons available in python-ts-mode as well

* lisp/progmodes/python.el (python-base-mode-abbrev-table):
Renamed from python-mode-abbrev-table to be available for both
python-mode and python-ts-mode.
---
 lisp/progmodes/python.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index a00289d6de9..fb4b9afc073 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -5390,8 +5390,8 @@ python-skeleton-define
               (format "Insert %s statement." name))
          ,@skel))))
 
-(define-abbrev-table 'python-mode-abbrev-table ()
-  "Abbrev table for Python mode."
+(define-abbrev-table 'python-base-mode-abbrev-table ()
+  "Abbrev table for Python modes."
   :parents (list python-mode-skeleton-abbrev-table))
 
 (defmacro python-define-auxiliary-skeleton (name &optional doc &rest skel)
-- 
2.34.1

